Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.ttapi.org/gemini/video/fetch \ --header 'TT-API-KEY: <api-key>'
{ "status": "SUCCESS", "message": "success", "jobId": "0ccf0606-3f32-4090-85bd-1786e4593be5", "data": { "jobId": "0ccf0606-3f32-4090-85bd-1786e4593be5", "model": "omni-flash", "prompt": "A cinematic shot of a futuristic city at sunset", "aspect_ratio": "16:9", "reference_images": [ "https://cdn.ttapi.io/example/reference-image.png" ], "video_url": "https://cdn.ttapi.io/other/2026-06-05/example.mp4", "quota": "1", "hookUrl": "https://example.com/callback" } }
使用 jobId 查询 Gemini 视频生成任务的状态和视频结果。
请前往 TTAPI 控制台 获取 API 密钥。
生成接口返回的 jobId
查询成功
任务状态
RUNNING
SUCCESS
FAILED
"SUCCESS"
任务消息
"success"
任务 ID
"0ccf0606-3f32-4090-85bd-1786e4593be5"
视频任务结果
Show child attributes